.TH "ompi_group_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi_group_t \- Group structure.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <group.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBsuper\fP"
.br
.RI "\fIbase class \fP"
.ti -1c
.RI "int \fBgrp_proc_count\fP"
.br
.RI "\fInumber of processes in group \fP"
.ti -1c
.RI "int \fBgrp_my_rank\fP"
.br
.RI "\fIrank in group \fP"
.ti -1c
.RI "int \fBgrp_f_to_c_index\fP"
.br
.RI "\fIindex in Fortran <-> C translation array \fP"
.ti -1c
.RI "uint32_t \fBgrp_flags\fP"
.br
.RI "\fIflags, e.g \fP"
.ti -1c
.RI "ompi_proc_t ** \fBgrp_proc_pointers\fP"
.br
.RI "\fIlist of pointers to ompi_proc_t structures for each process in the group \fP"
.in -1c
.SH "Detailed Description"
.PP 
Group structure. 
.PP
.SH "Field Documentation"
.PP 
.SS "uint32_t \fBompi_group_t::grp_flags\fP"
.PP
flags, e.g 
.PP
freed, cannot be freed etc. 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
